<?php

namespace App\Models;

use Elasticquent\ElasticquentTrait;
use Illuminate\Database\Eloquent\Model;

class EsListenHistory extends Model
{
    use ElasticquentTrait;

    protected $table = '_doc';

    public $timestamps = true;

    protected $fillable = [
        'id',
        'date_log',
        'track_id',
        'alltime_zing','alltime_nct','alltime_nhacvn','alltime_keeng',
        'zing_count',
        'nct_count',
        'nhacvn_count',
        'keeng_count',
        'total_listen'
    ];

    protected $mappingProperties = [
        "id" => [
            "type" => "integer"
        ],
        "date_log" => [
            "type" => "date", "format" => "Y-m-d"
        ],
		"track_id" => [
		    "type" => "integer"
        ],
		"alltime_zing" => [
		    "type" => "integer"
        ],
		"alltime_nct" => [
		    "type" => "integer"
        ],
		"alltime_nhacvn" => [
		    "type" => "integer"
        ],
		"alltime_keeng" => [
		    "type" => "integer"
        ],
		"zing_count" => [
		    "type" => "integer"
        ],
		"nct_count" => [
		    "type" => "integer"
        ],
		"nhacvn_count" => [
		    "type" => "integer"
        ],
		"keeng_count" => [
		    "type" => "integer"
        ],
		"total_listen" => [
		    "type" => "integer"
        ],
		"created_at" => [
		    "type" => "date", "format" => "Y-m-d H:i:s"
        ],
		"updated_at" => [
		    "type" => "date", "format" => "Y-m-d H:i:s"
        ]
    ];

}
